# Uses of Enum Class
org.apache.datasketches.kll.KllSketch.SketchType

Packages that use KllSketch.SketchType
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.

## Uses of KllSketch.SketchType in org.apache.datasketches.kll

Methods in org.apache.datasketches.kll that return KllSketch.SketchType
Modifier and Type
Method
Description
`static KllSketch.SketchType`
KllSketch.SketchType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KllSketch.SketchType[]`
KllSketch.SketchType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.kll with parameters of type KllSketch.SketchType
Modifier and Type
Method
Description
`static int`
KllSketch.`getMaxSerializedSizeBytes(int k, long n, KllSketch.SketchType sketchType, boolean updatableMemFormat)`
Returns upper bound on the serialized size of a KllSketch given the following parameters.